# Class TextShape

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.TextShape

Direct Known Subclasses:
  `Echo, Hover`

public abstract class TextShape extends Shape

## Field Summary

Fields
Modifier and Type
Field
Description
`Map<String,Text>`
`objects`
`protected String`
`thisID`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`TextShape()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`checkObjectClicked(int x, int y, int modifiers, BS bsVisible, boolean drawPicking)`
`boolean`
`checkObjectHovered(int x, int y, BS bsVisible)`
`String`
`getShapeState()`
`protected void`
`initModelSet()`
`void`
`setModelVisibilityFlags(BS bsModels)`
`protected void`
`setPropTS(String propertyName, Object value, BS bsSelected)`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectDragged, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSize, getSizeG, getTranslucentLabel, initializeShape, initShape, replaceGroup, setAtomClickability, setModelSet, setProperties, setProperty, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### objects

public Map<String,Text> objects

### thisID

protected String thisID

## Constructor Details

### TextShape

public TextShape()

## Method Details

### setPropTS

protected void setPropTS(String propertyName, Object value, BS bsSelected)

### getShapeState

public String getShapeState()

Specified by:
  `getShapeState` in class `Shape`

### initModelSet

protected void initModelSet()

Overrides:
  `initModelSet` in class `Shape`

### setModelVisibilityFlags

public void setModelVisibilityFlags(BS bsModels)

Overrides:
  `setModelVisibilityFlags` in class `Shape`
Parameters:
  `bsModels` -

### checkObjectClicked

public Map<String,Object> checkObjectClicked(int x, int y, int modifiers, BS bsVisible, boolean drawPicking)

Overrides:
  `checkObjectClicked` in class `Shape`
Parameters:
  `x` -
  `y` -
  `modifiers` -
  `bsVisible` -
  `drawPicking` - TODO
Returns:
  Hashtable containing information about pt clicked

### checkObjectHovered

public boolean checkObjectHovered(int x, int y, BS bsVisible)

Overrides:
  `checkObjectHovered` in class `Shape`
Parameters:
  `x` -
  `y` -
  `bsVisible` -
Returns:
  T/F